Skip to main content
GET
/
api
/
external
/
loginaudit
List login audit events
curl --request GET \
  --url https://gateway-api.guardhousehq.com/api/external/loginaudit \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": 123,
      "userId": 123,
      "companyId": 123,
      "appType": "<string>",
      "emailAttempted": "<string>",
      "ipAddress": "<string>",
      "userAgent": "<string>",
      "failureReason": "<string>",
      "occurredUtc": "2023-11-07T05:31:56Z"
    }
  ],
  "errors": [
    {
      "code": "<string>",
      "message": "<string>",
      "field": "<string>"
    }
  ],
  "meta": {
    "traceId": "<string>",
    "timestampUtc": "2023-11-07T05:31:56Z",
    "nextPageEndpoint": "<string>",
    "prevPageEndpoint": "<string>"
  }
}

Authorizations

Authorization
string
header
required

JWT issued by POST /api/token/request. Send as Authorization: Bearer <token>.

Query Parameters

userId
integer<int32>

Filter to a specific user.

eventType
enum<integer>

Filter by event type. 1 = LoginSuccess, 2 = LoginFailure, 3 = Logout (reserved).

Available options:
1,
2,
3
from
string<date-time>

Inclusive lower bound on occurredUtc (ISO-8601 UTC, e.g. 2026-04-01T00:00:00Z).

to
string<date-time>

Inclusive upper bound on occurredUtc (ISO-8601 UTC).

page
integer<int32>
default:1

1-based page index. Must be >= 1.

Required range: x >= 1
pageSize
integer<int32>
default:50

Page size. Must be between 1 and 500.

Required range: 1 <= x <= 500

Response

Paged list of login audit events.

Standard { data, errors, meta } envelope used by Login Audit endpoints. Differs from the legacy ApiResponse envelope used by older endpoints.

data
object[] · null · null

Endpoint-specific payload. null when errors is populated.

errors
object[] | null
meta
object